Bank Mega - Bug #979

Fixing Service Auto Generate LQ (Leave Quota)
03/17/2022 10:55 AM - Muhammad Bintar

Status: Closed

Priority: Normal
Assignee: Muhammad Bintar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/17/2022
03/21/2022
0%

0.00 hour
0.00 hour

Description

Dear tim developer mohon support nya untuk perbaikan service AutoGenerateLQ (Leave Quota) dimana pada saat ini service
tersebut men generate quota pada employee yang baru saja hiring tetapi sudah mendapat kuota, padahal seharusnya kuota tersebut

bisa terambil jika employee sudah bekerja lebih dari 1 tahun
database MinovaHR_ESS_BankMega_Production

database sql server 2014
192.168.3.105\MSSQLSERVER2014

History

#1 - 03/18/2022 09:40 AM - Saswanto Tampan
- Status changed from New to Deploy

- Assignee changed from Saswanto Tampan to Muhammad Bintar

dibuatkan job sql

#2 - 03/18/2022 03:31 PM - Muhammad Bintar
- File AutoGenerateLeaveQuotaAfter1YearHiring.txt added

update =
buat SP dengan nama AutoGenerateLeaveQuotaAfter1YearHiring

lalu dibuat job dengan schedule setiap 1 hari sekali di malam hari

#3 - 03/25/2022 06:33 PM - Muhammad Bintar

USE [MinovaHR_BANK_MEGA_Production]
GO

/****** Object: StoredProcedure [dbo].[AutoGenerateLeaveQuotaAfter1YearHiring]

SET ANSI_NULLS ON

GO

SET QUOTED_IDENTIFIER ON
GO

-- Author: <Author,,Name>

-- Create date: <Create Date,,>
-- Description:  <Description,,>

alter PROCEDURE [dbo].[AutoGenerateLeaveQuotaAfter1YearHiring]
-- Add the parameters for the stored procedure here

--@Landscape varchar(3)

AS

BEGIN

INSERT INTO dbo.hr_md_emp_md0017

SELECT DISTINCT CONVERT, '100") AS landscape ,

md02.emp_id ,

CONVERT))+CONVERT) stdate ,

Script Date: 25/03/2022 17:10:03 **/

CONVERT) 1)+CONVERT) SUBSTRING, CONVERT(DATE, DATEADD(DAY, +-hiring—date}});9;2)-AS-endate

03/15/2025

1/2




AND md02.end_date = '99991231'

AND md02.emp_id NOT IN (

SELECT DISTINCT md02.emp_id
FROM dbo.hr_md_emp_md0002 md02
LEFT OUTER JOIN dbo.hr_md_emp_md0017 md17 ON md17.emp_id = md02.emp_.id
WHERE md02.employee_status = '01'

AND md02.end_date = '99991231'

AND SUBSTRING >= YEAR)

)
--AND md02.emp_id ='03053749'
END

#4 - 03/25/2022 06:34 PM - Muhammad Bintar

- File serviceautogenerateabsencequota.txt added

#5 - 04/20/2022 11:30 AM - Muhammad Bintar
- Status changed from Deploy to Closed

Files
AutoGeneratelLeaveQuotaAfter1YearHiring.txt 2.12 KB 03/18/2022 Muhammad Bintar
serviceautogenerateabsencequota.txt 2.76 KB 03/25/2022 Muhammad Bintar
